package com.linkv.rtcsdk.bean;


import com.linkv.rtc.entity.LVVideoStatistic;


/**
 * Created by Xiaohong on 2020/6/30.
 * desc:视频流质量模型
 */
public class VideoQuality {

    public int videoEncodeFrames;
    public int videoSentPackets;
    public long videoSentKBytes;
    public int videoFps;
    public int videoLostPackets;
    public int audioLostPackets;
    public int availableSendBandwidth;
    public int videoAvgEncodeCostMs;
    public int videoBitrateBps;
    public int audioBitrateBps;
    public int videoRtt;
    public int audioRtt;
    public int videoLostPercent;
    public int audioLostPercent;
    public int frameWidth;
    public int frameHeight;

    public VideoQuality() {
    }

    // 从自研流质量模型构造
    public VideoQuality(LVVideoStatistic stats) {
        this.videoEncodeFrames = stats.videoEncodeFrames;
        this.videoSentPackets = stats.videoSentPackets;
        this.videoSentKBytes = stats.videoSentKBytes;
        this.videoFps = stats.videoFps;
        this.videoLostPackets = stats.videoLostPackets;
        this.audioLostPackets = stats.audioLostPackets;
        this.availableSendBandwidth = stats.availableSendBandwidth;
        this.videoAvgEncodeCostMs = stats.videoAvgEncodeCostMs;
        this.videoBitrateBps = stats.videoBitratebps;
        this.audioBitrateBps = stats.audioBitratebps;
        this.videoRtt = stats.videoRtt;
        this.audioRtt = stats.audioRtt;
        this.videoLostPercent = stats.videoLostPercent;
        this.audioLostPercent = stats.audioLostPercent;
        this.frameWidth = stats.frameWidth;
        this.frameHeight = stats.frameHeight;
    }


    @Override
    public String toString() {
        return "VideoQuality{" +
                "videoEncodeFrames=" + videoEncodeFrames +
                ", videoSentPackets=" + videoSentPackets +
                ", videoSentKBytes=" + videoSentKBytes +
                ", videoFps=" + videoFps +
                ", videoLostPackets=" + videoLostPackets +
                ", audioLostPackets=" + audioLostPackets +
                ", availableSendBandwidth=" + availableSendBandwidth +
                ", videoAvgEncodeCostMs=" + videoAvgEncodeCostMs +
                ", videoBitrateBps=" + videoBitrateBps +
                ", audioBitrateBps=" + audioBitrateBps +
                ", videoRtt=" + videoRtt +
                ", audioRtt=" + audioRtt +
                ", videoLostPercent=" + videoLostPercent +
                ", audioLostPercent=" + audioLostPercent +
                ", frameWidth=" + frameWidth +
                ", frameHeight=" + frameHeight +
                '}';
    }

}
